#include "arrayDemo.h"


//--------------------------------------------------------------
void arrayDemo::setup(){ 
	
	ofBackground(255,255,255);	
	
	// create an integer array
	// length of array is set to number of initial elements
	int testArray[] = { 0, 1, 2 };
	
	// create a floating point array
	// length of array set manually
	float arrayToFill[5];
	
	// fill an array with floats
	for(int i=0; i<5; i++){
	
		arrayToFill[i] = (float)i;
	}
	
	// show contents of array (look in the run log)
	for(int i=0; i<5; i++){
	
		printf("item at index %i: %f\n", i, arrayToFill[i]);
	}
		
	
	// fill array with random numbers
	for(int x=0; x<64; x++){
		for(int y=0; y<48; y++){
		
			randomWallpaper[x][y] = ofRandom(0, 255);
		}
	}
	
	/*
	
	// allocate texture (to be filled using array)
	noiseTexture.allocate(320, 240, GL_RGB);
	
	// load random variables into texture
	myTexture.loadData(whiteNoise, 200, 100, GL_RGB);
	
	*/
	
	// an array of string (of file names)
	// these files refer to files that exist in the data folder
	string fileNames[] = { "cat1.jpg", "cat2.jpg", "cat3.jpg", "cat4.jpg", "cat5.jpg" };
	
	// load the array files into the array of images
	for(int c=0; c<5; c++){
	
		imageArray[c].loadImage(fileNames[c]);
	}
}

//--------------------------------------------------------------
void arrayDemo::update(){

}

//--------------------------------------------------------------
void arrayDemo::draw(){

	for(int x=0; x<64; x++){
		for(int y=0; y<48; y++){
		
			// set color (from randomly generated array)
			ofSetColor(randomWallpaper[x][y],randomWallpaper[x][y],randomWallpaper[x][y]);
			
			// draw circle
			ofCircle(x*20, y*20, 10);
		}
	}
	
	ofSetColor(255, 255, 255);
	
	// draw the array of images, from left to right
	for(int c=0; c<5; c++){
	
		imageArray[c].draw(c*170+10, 10);
	}
	
	// draw the array of images, from right to left
	for(int c=4; c>=0; c--){
	
		imageArray[c].draw((4-c)*170+10, 140);
	}
}

//--------------------------------------------------------------
void arrayDemo::keyPressed  (int key){ 
	
}

//--------------------------------------------------------------
void arrayDemo::keyReleased(int key){ 
	
}

//--------------------------------------------------------------
void arrayDemo::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void arrayDemo::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void arrayDemo::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void arrayDemo::mouseReleased(){
}
